from Components.Converter.Converter import Converter
from Components.Element import cached

class RemainingToBar(Converter, object):
	def __init__(self, type):
		Converter.__init__(self, type)

	@cached
	def getText(self):
		r = self.source.time
		if r is None:
			return ""

		(duration, remaining) = self.source.time
		minutes_per_I = 5
		i = minutes_per_I
		I_bar = ""
		if remaining is not None:
	                remaining = (remaining / 60) 
	                while i < remaining:
	                    I_bar = I_bar+"I"
	                    i = i + minutes_per_I
		        return "%s" % I_bar
		else:
		        return "IIIIIIIIIIIIII" 

	text = property(getText)
